#!/bin/bash

# Text modifiers
bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

# APT/Flatpak APP TELEPITO SCRIPT
# Easter Egg :)
# Entering work folder
cd /home/$USER/.progs
sudo chown -R $USER:$GROUP /home/$USER/
cp -a rp-programscript.desktop /home/$USER/.local/share/applications/
echo "Exec=/home/$USER/.progs/3progs.sh" >> /home/$USER/.local/share/applications/rp-programscript.desktop

# Zenity ablak megjelenítése
user_choice=$(zenity --list --checklist --width='1000' --height='1000' \
  --title="APP Telepítő Script base by Airman & RAVE (Magyarosította balage79)" \
  --text="Válassz az alábbi programok közül:" \
  --column="Válassz" --column="Programnév / Leírás" \
  FALSE "Brave - webböngésző" \
  FALSE "CoreCTRL - AMD GPU beállító alkalmazás" \
  FALSE "Cider - Apple Music Player Linuxra" \
  FALSE "Csak a FO Monitoron jelenjen meg a Login Screen - Tobb monitoros setupoknal")
  FALSE "Docker - Ha tudod mi ez akkor KELL Neked" \
  FALSE "Darktable - Adobe Lightroom Linuxos megfelelője" \
  FALSE "Discord - VoIP-, és csevegőalkalmazás" \
  FALSE "DosBox - Régi, DOS-os játék emulátor" \
  FALSE "Double Commander - Total Commander Linuxos megfelelője" \
  FALSE "Easy Effects - Hangkártyát vezérlő program (Hangeffektek)" \
  FALSE "Firejail - Bongeszo Zart Kontener" \
  FALSE "FreeTube - Adatlopás-mentes YouTube-kliens" \
  FALSE "GameMode" \
  FALSE "GNOME Clocks - ébresztő, világóra, stopper, időzítő" \
  FALSE "GNOME Screenshot - gyorsbillentyűs képernyőkép létrehozás" \
  FALSE "GTKStressTesting - CPU Monitorozas es Stress Test Program" \
  FALSE "Heroic Launcher - Epic Games Launcher Linux verziója" \
  FALSE "Input-Remapper 2.0 - egér/bill. gomb konfiguráló, macro író progi" \
  FALSE "Kdenlive - Linuxos videószerkesztő program" \
  FALSE "KeepassXC - Jelszókezelő, az adatbázist titkosítva tárolja a PC-n" \
  FALSE "KVM QEMU - virtualizáció, virtuális gépek futtatása" \
  FALSE "Legutobbi Baloldali Menupont Torlese a File Kezelobol (Nautilus)" \
  FALSE "Librewolf - Firefox ESR alapú webböngésző" \
  FALSE "Lutris - Game launchereket, és egyéb appokat futtató környezet" \
  FALSE "MangoHud/Goverlay - MSI Afterburner Linuxos megfelelője, FPS kijelzés, stb." \
  FALSE "Midnight Commander - 2 ablakos file kezelő" \
  FALSE "Mumble - hang alapú csevegőalkalmazás" \
  FALSE "Neofetch - terminálos rendszerinfó megjelenítő" \
  FALSE "OnlyOffice - Legujabb MS Office Linuxos megfeleloje - LIBREOFFICE-t TOROLNI FOGJA!" \
  FALSE "OBS - Nyílt forrású felvételkészítő és streamelő program" \
  FALSE "Parabolic - Videóletöltő, működik minden platformon" \
  FALSE "PeaZip - tömörítő program" \
  FALSE "Pavucontrol - Apponkénti hangerőszabályzás/konfigurálás" \
  FALSE "PhotoGIMP - Adobe Photoshop-szerű képszerkesztő Linuxra" \
  FALSE "QBittorrent - torrent kliens" \
  FALSE "Signal - Titkosított üzenetküldő" \
  FALSE "Spotify - Zenelejátszó Linuxra" \
  FALSE "Spotube - Ingyenes Premium Spotify Zenelejátszó Linuxra" \
  FALSE "Steam Launcher" \
  FALSE "Telegram - Titkosított üzenetküldő" \
  FALSE "Vibrant - Szín szaturáció beállító program" \
  FALSE "Vivaldi - webböngésző" \
  FALSE "VLC - médialejátszó" \
  FALSE "Windows 11 Telepítő - Csak Profiknak!" \
  FALSE "Zenpower3 - AMD CPU Feszultseg, Aramerosseg es Fogyasztas Monitorozas" \
if [[ $? -eq 1 ]]; then
   echo ${bold}${yellow}Cancelled by User. Exiting!${normal}
   exit 1
fi

if [[ $user_choice = *"GNOME Screenshot - gyorsbillentyűs képernyőkép létrehozás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}GNOME Screenshot - DEB Pkg${normal}

    sudo apt install gnome-screenshot -y

  echo ${bold}${yellow}GNOME Screenshot ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"GNOME Clocks - ébresztő, világóra, stopper, időzítő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}GNOME Clocks - DEB Pkg${normal}

    sudo apt install itstool libadwaita-1-dev libgeoclue-2-dev libgnome-desktop-4-dev cmake libgweather-4-dev libgtk-4-dev valac meson -y
    cd gnome-clocks
    meson setup ravedir
    cd ravedir
    sudo meson install
    cd /home/$USER/.progs

  echo ${bold}${yellow}GNOME Clocks with sound changes ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Steam Launcher"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Steam Launcher - DEB Pkg${normal}

  sudo apt install steam -y
  sudo chmod +x update-proton-ge
  ./update-proton-ge

  echo ${bold}${yellow}Steam + Latest ProtonGE ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Heroic Launcher - Epic Games Launcher Linux verziója"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Heroic Launcher - flatpak with MangoHud${normal}

  flatpak install flathub com.heroicgameslauncher.hgl --user -y
  flatpak install runtime/org.freedesktop.Platform.VulkanLayer.MangoHud/x86_64/22.08 --user -y
  flatpak override --user --filesystem=xdg-config/MangoHud:ro

  echo ${bold}${yellow}Heroic Launcher with MangoHud ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"GameMode"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}GameMode - DEB Pkg${normal}

  sudo apt install gamemode -y

  echo ${bold}${yellow}GameMode ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"PeaZip - tömörítő program"* ]]; then
  echo
  echo Installing ${bold}${yellow}PeaZip - flatpak${normal}

  flatpak install flathub io.github.peazip.PeaZip --user -y

  echo ${bold}${yellow}PeaZip ${normal}installed.
  echo
fi

if [[ $user_choice = *"Neofetch - terminálos rendszerinfó megjelenítő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Neofetch - DEB Pkg${normal}

  sudo apt install neofetch -y

  echo ${bold}${yellow}Neofetch ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Input-Remapper 2.0 - egér/bill. gomb konfiguráló, macro író progi"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Input-Remapper 2.0 - DEB Pkg${normal}

  sudo apt install build-essential libpython3-dev libdbus-1-dev python3-evdev python3-pydbus libgtksourceview-4-dev python3-pydantic libavahi-compat-libdnssd1 gettext -y
  sudo dpkg -i input-remapper*.deb

  echo ${bold}${yellow}Input-Remapper 2.0 ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"Mumble - hang alapú csevegőalkalmazás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Mumble - DEB Pkg${normal}

  sudo apt install libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5sql5 libqt5svg5 libqt5widgets5 libqt5xml5 libspeexdsp1 -y
  sudo apt install mumble -y

  echo ${bold}${yellow}Mumble ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Lutris - Game launchereket, és egyéb appokat futtató környezet"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Lutris - flatpak with MangoHud - flatpak${normal}

  flatpak install flathub net.lutris.Lutris --user -y
  flatpak install runtime/org.freedesktop.Platform.VulkanLayer.MangoHud/x86_64/23.08 --user -y
  flatpak override --user --filesystem=xdg-config/MangoHud:ro

  echo ${bold}${yellow}Lutris with MangoHud compatibility ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"KVM QEMU - virtualizáció, virtuális gépek futtatása"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}KVM QEMU - DEB Pkg${normal}

  sudo apt install libvirt0 libvirt-daemon libvirt-daemon-system-systemd libvirt-daemon-config-network libvirt-daemon-config-nwfilter libvirt-daemon-system-systemd libfdt1 libibverbs1 libpmem1 librdmacm1 libslirp0 qemu-system-common qemu-system-data seabios ipxe-qemu ipxe-qemu-256k-compat-efi-roms gir1.2-gtk-vnc-2.0 gir1.2-libosinfo-1.0 gir1.2-libvirt-glib-1.0 python3-libvirt virtinst -y
  sudo apt install qemu-system-x86 qemu-utils libvirt-daemon-system libvirt-clients bridge-utils virt-manager ovmf -y
  sudo usermod -aG kvm $USER
  sudo usermod -aG input $USER
  sudo usermod -aG libvirt $USER
  # qemu.conf sed parancs $USER-el hogy ne kelljen kezzel csinalni

  echo ${bold}${yellow}KVM QEMU ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"CoreCTRL - AMD GPU beállító alkalmazás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}CoreCTRL and User Settings - DEB Pkg${normal}

  sudo add-apt-repository ppa:ernstp/mesarc -y
  sudo cp -a corectrl /etc/apt/preferences.d/
  sudo apt install libbotan-2-19 libqt5charts5 libqt5qml5 libqt5quick5 libquazip5-1 qml-module-qtquick2 qml-module-qtquick-controls2 qml-module-qtquick-layouts qml-module-qtquick-window2 qml-module-qt-labs-platform qml-module-qtcharts vulkan-tools -y
  sudo apt update
  sudo apt install corectrl -y
  sudo sed -i 's/GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"/GRUB_CMDLINE_LINUX_DEFAULT="amdgpu.ppfeaturemask=0xffffffff quiet splash"/' /etc/default/grub
  sudo update-grub
  cp /usr/share/applications/org.corectrl.CoreCtrl.desktop ~/.config/autostart/
  echo "polkit.addRule(function(action, subject) {
    if ((action.id == \"org.corectrl.helper.init\" ||
         action.id == \"org.corectrl.helperkiller.init\") &&
        subject.local == true &&
        subject.active == true &&
        subject.isInGroup(\"$USER\")) {
            return polkit.Result.YES;
    }
});" | sudo tee /etc/polkit-1/rules.d/90-corectrl.rules
  sudo cp -a corectrl.ini /home/$USER/.config/
  echo ${bold}${yellow}CoreCTRL and User settings ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Docker - Ha tudod mi ez akkor KELL Neked"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Docker - DEB Pkg${normal}

  sudo apt install ca-certificates curl gnupg -y
  sudo install -m 0755 -d /etc/apt/keyrings
  curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg
  sudo chmod a+r /etc/apt/keyrings/docker.gpg
  echo \
  "deb [arch="$(dpkg --print-architecture)" signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu \
  "$(. /etc/os-release && echo "jammy")" stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
  sudo apt update
  sudo apt install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin -y

  echo ${bold}${yellow}Docker ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"OBS - Nyílt forrású felvételkészítő és streamelő program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}OBS Studio - flatpak${normal}

  flatpak install com.obsproject.Studio --user -y
  sudo apt install xdg-desktop-portal-gnome -y
  sudo apt install xdg-desktop-portal-wlr -y

  echo ${bold}${yellow}OBS Studio ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Firejail - Bongeszo Zart Kontener"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}FireJail${normal}

  sudo apt install firejail -y

  echo ${bold}${yellow}FireJail ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Vivaldi - webböngésző"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Vivaldi - DEB Pkg${normal}

  wget -qO- https://repo.vivaldi.com/archive/linux_signing_key.pub | sudo gpg --dearmor -o /usr/share/keyrings/vivaldi-archive-keyring.gpg
  echo "deb [signed-by=/usr/share/keyrings/vivaldi-archive-keyring.gpg] https://repo.vivaldi.com/archive/deb/ stable main" | sudo tee /etc/apt/sources.list.d/vivaldi.list
  sudo apt update
  sudo apt install vivaldi-stable -y
  sleep 2
  sudo cp -a vivaldi /home/$USER/.config/

  echo ${bold}${yellow}Vivaldi ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Brave - webböngésző"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Brave - flatpak${normal}

  sudo apt install curl -y
  sudo curl -fsSLo /usr/share/keyrings/brave-browser-archive-keyring.gpg https://brave-browser-apt-release.s3.brave.com/brave-browser-archive-keyring.gpg
  echo "deb [signed-by=/usr/share/keyrings/brave-browser-archive-keyring.gpg] https://brave-browser-apt-release.s3.brave.com/ stable main"|sudo tee /etc/apt/sources.list.d/brave-browser-release.list
  sudo apt update
  sudo apt install brave-browser -y
  sudo cp -a /home/$USER/.progs/BraveSoftware /home/$USER/.config/

  echo ${bold}${yellow}Brave ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Librewolf - Firefox ESR alapú webböngésző"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Librewolf - DEB Pkg${normal}

  sudo apt install extrepo -y
  sudo extrepo enable librewolf
  sudo apt update
  sudo apt install librewolf -y
  sudo cp -a /home/$USER/.progs/.librewolf /home/$USER/
  
  echo ${bold}${yellow}LibreWolf ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"FreeTube - Adatlopás-mentes YouTube-kliens"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}FreeTube - flatpak${normal}

  flatpak install flathub io.freetubeapp.FreeTube --user -y
  sudo mkdir -p /home/$USER/.var/app/io.freetubeapp.FreeTube/config/
  sudo chown -R $USER:$GROUP /home/$USER/
  sudo cp -a FreeTube /home/$USER/.var/app/io.freetubeapp.FreeTube/config/

  echo ${bold}${yellow}FreeTube ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"OnlyOffice - Legujabb MS Office Linuxos megfeleloje - LIBREOFFICE-t TOROLNI FOGJA!"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}OnlyOffice - flatpak${normal}

  flatpak install flathub org.onlyoffice.desktopeditors --user -y
  sudo apt purge libreoffice* -y

  echo ${bold}${yellow}OnlyOffice ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"DosBox - Régi, DOS-os játék emulátor"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}DosBox Staging - flatpak${normal}

  sudo apt install libsdl-sound1.2 -y
  flatpak install flathub io.github.dosbox-staging --user -y

  echo ${bold}${yellow}DosBox - Staging ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Pavucontrol - Apponkénti hangerőszabályzás/konfigurálás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Pavucontrol - DEB Pkg${normal}

  sudo apt install pavucontrol -y

  echo ${bold}${yellow}Pavucontrol ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"KeepassXC - Jelszókezelő, az adatbázist titkosítva tárolja a PC-n"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}KeepassXC - flatpak${normal}

  flatpak install flathub org.keepassxc.KeePassXC --user -y

  echo ${bold}${yellow}KeePassXC ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Cider - Apple Music Player Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Cider - flatpak${normal}

  flatpak install flathub sh.cider.Cider --user -y

  echo ${bold}${yellow}Cider ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Spotify - Zenelejátszó Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Spotify - flatpak${normal}

  flatpak install flathub com.spotify.Client --user -y

  echo ${bold}${yellow}Spotify ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Spotube - Ingyenes Premium Spotify Zenelejátszó Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Spotube - flatpak${normal}

  flatpak install flathub com.github.KRTirtho.Spotube --user -y

  echo ${bold}${yellow}Spotube ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"Darktable - Adobe Lightroom Linuxos megfelelője"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Darktable - flatpak${normal}

  flatpak install flathub org.darktable.Darktable --user -y

  echo ${bold}${yellow}Darktable ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"VLC - médialejátszó"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}VLC Media Player - flatpak${normal}

  flatpak install flathub org.videolan.VLC --user -y

  echo ${bold}${yellow}VLC Media Player ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"QBittorrent - torrent kliens"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}QBittorrent - flatpak${normal}

  flatpak install flathub org.qbittorrent.qBittorrent --user -y

  echo ${bold}${yellow}QBittorrent ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Telegram - Titkosított üzenetküldő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Telegram - flatpak${normal}

  flatpak install flathub org.telegram.desktop --user -y

  echo ${bold}${yellow}Telegram ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Signal - Titkosított üzenetküldő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Signal - flatpak${normal}

  flatpak install flathub org.signal.Signal --user -y

  echo ${bold}${yellow}Signal ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Kdenlive - Linuxos videószerkesztő program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Kdenlive - flatpak${normal}

  flatpak install flathub org.kde.kdenlive --user -y

  echo ${bold}${yellow}Kdenlive ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"PhotoGIMP - Adobe Photoshop-szerű képszerkesztő Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}PhotoGIMP- flatpak${normal}

  flatpak install flathub org.gimp.GIMP --user -y
  sudo rsync -ap --info=progress2 PhotoGIMP/. ~/

  echo ${bold}${yellow}GIMP with PhotoGIMP Addon ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Discord - VoIP-, és csevegőalkalmazás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Discord - flatpak${normal}
  
  sudo apt install xdg-desktop-portal-wlr -y
  flatpak install flathub com.discordapp.Discord --user -y

  # Vencord script credit to Lordify

  # Add USER repo to flathub, because Linux Mint doesn't have it
  #flatpak remote-add --if-not-exists --user flathub https://flathub.org/repo/flathub.flatpakrepo
  # Download the latest release of Vencord Installer from Github
  wget https://github.com/Vencord/Installer/releases/latest/download/VencordInstallerCli-linux
  sleep 1
  # Grant execution permission to vencord installer
  sudo chmod +x VencordInstallerCli-linux
  sleep 1
  # Create Symlink of /home/$USER directory in /usr/share/Vencord, because the Kurva Vencord script doesn't handle variables like $USER
  sudo ln -s ~/ /usr/share/Vencord
  sleep 1
  # Install vencord with openasar
  ./VencordInstallerCli-linux -install -location /usr/share/Vencord/.local/share/flatpak/app/com.discordapp.Discord
  sleep 1
  ./VencordInstallerCli-linux -install-openasar -location /usr/share/Vencord/.local/share/flatpak/app/com.discordapp.Discord/
  sleep 1
  # Remove symlink from /usr/share/Vencord
  sudo unlink /usr/share/Vencord
  sleep 1
  sudp mkdir -p /home/$USER/.var/app/com.discordapp.Discord/config/Vencord
  sudo chown -R $USER:$GROUP /home/$USER/.var/app/com.discordapp.Discord/config/Vencord/
  sudo cp -a RaveTheme_By_DanyHolder.css /home/$USER/.var/app/com.discordapp.Discord/config/Vencord/themes

  echo ${bold}${yellow}Discord / Vencord ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Easy Effects - Hangkártyát vezérlő program (Hangeffektek)"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Easy Effects - flatpak${normal}

  flatpak install flathub com.github.wwmm.easyeffects --user -y

  echo ${bold}${yellow}Easy Effects ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Parabolic - Videóletöltő, működik minden platformon"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Parabolic - flatpak${normal}

  flatpak install flathub org.nickvision.tubeconverter --user -y

  echo ${bold}${yellow}Parabolic ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Vibrant - Szín szaturáció beállító program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Vibrant - flatpak${normal}

  flatpak install flathub io.github.libvibrant.vibrantLinux --user -y

  echo ${bold}${yellow}Vibrant ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Legutobbi Baloldali Menupont Torlese a File Kezelobol (Nautilus)"* ]]; then
  echo
  echo ---------------------------------------------
  echo Removing ${bold}${yellow}Nautilus Recent Menu ${normal}

  gsettings set org.gnome.desktop.privacy remember-recent-files false

  echo ${bold}${yellow}Nautilus Recent Menu ${normal}removed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Csak a FO Monitoron jelenjen meg a Login Screen - Tobb monitoros setupoknal"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Only main monitor on login${normal}

  zenity --warning --text='!!  SWITCH TO PRIMARY MONITOR ONLY  !!' --width='300' --height='100'
  sudo cp ~/.config/monitors.xml /var/lib/gdm3/.config/monitors.xml
  sudo chown gdm:gdm /var/lib/gdm3/.config/monitors.xml

  echo ${bold}${yellow}Only main monitor on login ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"MangoHud/Goverlay - MSI Afterburner Linuxos megfelelője, FPS kijelzés, stb."* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}MangoHud/Goverlay - built from source${normal}
  
  sudo mkdir -p /usr/share/goverlay/
  sudo cp -a goverlay /usr/share/goverlay/
  sudo cp -a goverlay.ico /usr/share/goverlay/
  sudo cp -a goverlay.desktop /home/$USER/.local/share/applications/
  sudo apt install meson ninja-build gcc g++ glslang-dev glslang-tools libxnvctrl-dev git libx11-dev mesa-common-dev breeze libdbus-1-dev libqt6core6 libqt6gui6 libqt6printsupport6 libqt6widgets6 libqt6dbus6 libqt6network6 libqt6opengl6 libts0 qt6-base-abi qt6-base-dev libglx-dev libopengl-dev cmake libwayland-dev libxkbcommon-dev -y
  sudo dpkg -i libqt6pas6*.deb
  sudo mkdir -p /home/$USER/.mangohud
  sudo chown -R $USER:$GROUP /home/$USER/.mangohud
  cd /home/$USER/.mangohud
  git clone --recurse-submodules https://github.com/flightlessmango/MangoHud.git
  cd MangoHud
  meson build
  sudo ninja -C build install
  cd -  
  sudo rm -rf /home/$USER/.mangohud

  echo ${bold}${yellow}MangoHud/Goverlay - built from source ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Zenpower3 - AMD CPU Feszultseg, Aramerosseg es Fogyasztas Monitorozas"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Zenpower3 - built from source${normal}
  
  sudo mkdir -p /home/$USER/.zenpower
  sudo chown -R $USER:$GROUP /home/$USER/.zenpower
  cd /home/$USER/.zenpower
  git clone https://github.com/putinvladimir/zenpower3.git
  cd zenpower3
  sudo make dkms-install
  sudo modprobe -r k10temp
  sudo bash -c 'sudo echo -e "\n# replaced with zenpower\nblacklist k10temp" >> /etc/modprobe.d/blacklist.conf'
  sudo modprobe zenpower
  cd -
  sudo rm -rf /home/$USER/.zenpower
  echo ${bold}${yellow}Zenpower3 ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"GTKStressTesting - CPU Monitorozas es Stress Test Program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}GTKStressTesting - Flatpak${normal}

  flatpak install flathub com.leinardi.gst --user -y

  echo ${bold}${yellow}GTKStressTesting ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"Double Commander - Total Commander Linuxos megfelelője"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Double Commander - DEB Pkg${normal}

  sudo apt install doublecmd-gtk -y

  echo ${bold}${yellow}Double Commander ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Midnight Commander - 2 ablakos file kezelő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Midnight Commander - DEB Pkg${normal}

  sudo apt install mc -y

  echo ${bold}${yellow}Midnight Commander ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Windows 11 Telepítő - Csak Profiknak"* ]]; then
  zenity --warning --text='!! MAJOM VAGY !!' --width='300' --height='100'
fi

sudo rm /home/$USER/.config/autostart/3progs.sh.desktop


zenity --question --title='Restart required!' --text='Restart in 5 seconds?' --width='300' --height='100'
if [ $? = 0 ]; then
  
(
echo "0" ; 
echo "# Restart in 5s" ; sleep 1
echo "20" ; 
echo "# Restart in 4s" ; sleep 1
echo "40" ; 
echo "# Restart in 3s" ; sleep 1
echo "60" ; 
echo "# Restart in 2s" ; sleep 1
echo "80" ; 
echo "# Restart in 1s" ; sleep 1 

) |
zenity --progress \
 --title="All updates are Installed!" --width='300' \
 --text="Restart" \
 --auto-close \
 --no-cancel
 sudo rm -rf /usr/share/raveprogs
 sudo rm /home/$USER/.config/autostart/raveprogs.desktop
 sudo reboot;
 else
 echo ${bold}${yellow}User exited the script. Ending!${normal}
 exit 0;  
fi